/*******************************************************************************
Title:      intstr
Desc.:      Converts an integer to a string (only decimal format)
Version:    V0.0.0
Date:       06.04.2013
Author:     bestucki
Licence:    GNU GENERAL PUBLIC LICENSE, Version 3, 29 June 2007

            Copyright 2013 bestucki

            This program is free software: you can redistribute it and/or modify
            it under the terms of the GNU General Public License as published by
            the Free Software Foundation, either version 3 of the License, or
            (at your option) any later version.

            This program is distributed in the hope that it will be useful, but
            WITHOUT ANY WARRANTY; without even the implied warranty of
            MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
            General Public License for more details.

            You should have received a copy of the GNU General Public License
            along with this program. If not, see <http://www.gnu.org/licenses/>.

*******************************************************************************/

#ifndef INTSTR_H_
#define INTSTR_H_

#include <stdint.h>

static void strswap(char *str, uint_fast8_t lenght);
char *strRalign(char *str, uint_fast8_t minlenght);

#ifdef INT8_MAX
char *int8str(char *target, int8_t source);
char *fixint8str(char *target, int8_t source, int_fast8_t cp);
#endif /* INT8_MAX */

#ifdef UINT8_MAX
char *uint8str(char *target, uint8_t source);
char *fixuint8str(char *target, uint8_t source, int_fast8_t cp);
#endif /* UINT8_MAX */

#ifdef INT16_MAX
char *int16str(char *target, int16_t source);
char *fixint16str(char *target, int16_t source, int_fast8_t cp);
#endif /* INT16_MAX */

#ifdef UINT16_MAX
char *uint16str(char *target, uint16_t source);
char *fixuint16str(char *target, uint16_t source, int_fast8_t cp);
#endif /* UINT16_MAX */

#ifdef INT24_MAX
char *int24str(char *target, int24_t source);
char *fixint24str(char *target, int24_t source, int_fast8_t cp);
#endif /* INT24_MAX */

#ifdef UINT24_MAX
char *uint24str(char *target, uint24_t source);
char *fixuint24str(char *target, uint24_t source, int_fast8_t cp);
#endif /* UINT24_MAX */

#ifdef INT32_MAX
char *int32str(char *target, int32_t source);
char *fixint32str(char *target, int32_t source, int_fast8_t cp);
#endif /* INT32_MAX */

#ifdef UINT32_MAX
char *uint32str(char *target, uint32_t source);
char *fixuint32str(char *target, uint32_t source, int_fast8_t cp);
#endif /* UINT32_MAX */

#ifdef INT64_MAX
char *int64str(char *target, int64_t source);
char *fixint64str(char *target, int64_t source, int_fast8_t cp);
#endif /* INT64_MAX */

#ifdef UINT64_MAX
char *uint64str(char *target, uint64_t source);
char *fixuint64str(char *target, uint64_t source, int_fast8_t cp);
#endif /* UINT64_MAX */

#endif /* INTSTR_H_ */

/* end of file */
